%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Dancer/Config.pm) perl(Dancer/Logger/Abstract.pm) perl(Dancer/ModuleLoader.pm) perl(ExtUtils/MakeMaker.pm) perl(Log/Handler.pm) perl(Test/More.pm) perl(Test/Output.pm) perl(base.pm)
# END SourceDeps(oneline)
%define module_version 0.01
%define module_name Dancer-Logger-LogHandler
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: Dancer logger engine for Log::Handler
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/F/FR/FRANCKC/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
This class is an interface between Dancer's logging engine abstraction layer and the the Log::Handler manpage module.

In order to use this engine, set the following setting as follow:

  logger: 'log_handler'

This can be done in your config.yml file or directly in your app code with the
set keyword

The default configuration of this module is to write log message on STDERR. You can change this behavior by adding a similar configuration:

  log_handler:
    file:
      filename: debug.log
      maxlevel: debug
      minlevel: warning
    screen:
      log_to: "STDERR"
      maxlevel: debug
      minlevel: warning


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/D*

%changelog
* Mon May 26 2014 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

